Upstream information

CVE-2021-27928 at MITRE

Description

A remote code execution issue was discovered in MariaDB 10.2 before 10.2.37, 10.3 before 10.3.28, 10.4 before 10.4.18, and 10.5 before 10.5.9; Percona Server through 2021-03-03; and the wsrep patch through 2021-03-03 for MySQL. An untrusted search path leads to eval injection, in which a database SUPER user can execute OS commands after modifying wsrep_provider and wsrep_notify_cmd. NOTE: this does not affect an Oracle product.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9
Vector AV:N/AC:L/Au:S/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.2 7.2
Vector CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required High High
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1183770 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 mariadb Affected
SUSE CaaS Platform 4.0 mariadb Affected
SUSE Enterprise Storage 6 mariadb Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 mariadb Affected
SUSE Linux Enterprise High Performance Computing 15 LTSS mariadb Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS mariadb Affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 mariadb Affected
SUSE Linux Enterprise Point of Service Image Server 12 mariadb Unsupported
SUSE Linux Enterprise Server 12 SP2 BCL mariadb Affected
SUSE Linux Enterprise Server 12 SP2 ESPOS mariadb Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS mariadb Affected
SUSE Linux Enterprise Server 12 SP3 BCL mariadb Affected
SUSE Linux Enterprise Server 12 SP3 ESPOS mariadb Affected
SUSE Linux Enterprise Server 12 SP3 LTSS mariadb Affected
SUSE Linux Enterprise Server 12 SP4 ESPOS mariadb Affected
SUSE Linux Enterprise Server 12 SP4 LTSS mariadb Affected
SUSE Linux Enterprise Server 12 SP5 mariadb Affected
SUSE Linux Enterprise Server 15 LTSS mariadb Affected
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux mariadb Affected
SUSE Linux Enterprise Server 15 SP1 LTSS mariadb Affected
SUSE Linux Enterprise Server ESPOS 15 mariadb Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 mariadb Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 mariadb Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mariadb Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mariadb Affected
SUSE Linux Enterprise Server for SAP Applications 15 mariadb Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 mariadb Affected
SUSE Manager Proxy 4.0 mariadb Affected
SUSE Manager Retail Branch Server 4.0 mariadb Affected
SUSE Manager Server 4.0 mariadb Affected
SUSE OpenStack Cloud 7 mariadb Affected
SUSE OpenStack Cloud 8 mariadb Affected
SUSE OpenStack Cloud 9 mariadb Affected
SUSE OpenStack Cloud Crowbar 8 mariadb Affected
SUSE OpenStack Cloud Crowbar 9 mariadb Affected